#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const int N = 2e4+23;

int a[N];

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,k;
    cin >> n >> k;
    for(int i = 1; i <= n; i++){
        cin >> a[i];
    }

    for(int i = 1; i <= n; i++){
        if(a[i] == k){
            if(i < n){
                cout << a[i+1] << endl;
                return 0;
            }
            else{
                cout << a[1] << endl;
                return 0;
            }
        }
    }
}